워드프레스 4.9.6 업데이트 (프라이버시 & 유지보수 릴리스)

2

오늘 워드프레스가 4.9.6으로 업데이트되었습니다. 이 프라이버시 & 유지보수 릴리스에서는 37개의 기능 향상, 51개의 버그 수정이 이루어졌습니다. 그리고 2개의 작업(Task)이 추가되었다고 합니다.

특히 유럽연합 개인정보 보호법(General Data Protection Regulation, GDPR)이 발효됨에 따라 댓글, 개인정보 보호정책 페이지, 데이터 처리 등이 새로운 규정에 맞게 변경되었습니다.

이외에도 다음과 같은 수정이 이루어졌습니다.

  • 미디어 라이브러리에 ‘내 것(Mine)‘ 필터가 추가되었습니다.
    워드프레스 미디어 라이브러리 필터
  • 관리자 페이지에서 플러그인을 볼 때 필요한 최소 PHP 버전을 알려줍니다. 체크해 보니 아직은 최소 PHP 버전 요구 사항이 표시되지 않네요. 플러그인 개발자가 이 정보를 입력하면 표시될 것 같습니다.
  • 상위 버전과의 호환성(forwards-compatibility)과 적절한 변수 유효성 검사를 위해 새로운 PHP polyfills 추가
  • TinyMCE가 최신 버전으로 업데이트되었습니다.

워드프레스는 보안에 강하지만 업데이트를 소홀히 하면 보안에 구멍이 생기게 되고 수정되지 않은 보안 취약성으로 인해 해킹을 당하거나 멀웨어 악성코드 등에 감염될 수 있습니다. 가능하면 워드프레스 코어 파일, 테마, 플러그인을 항상 최신 버전으로 유지하시기 바랍니다.

조만간 워드프레스 5.0이 릴리스될 예정입니다. 오늘 체크해보니 아직 릴리스 일자가 정해지지 않았고 그냥 2018년 예정이라고만 되어 있네요. 워드프레스는 5.0에는 “Gutenberg”(구텐베르크)라는 새로운 편집기가 포함될 예정입니다. 구텐베르크를 테스트해보고 싶은 경우 플러그인을 다운로드하여 설치해볼 수 있습니다.

얼마 전에 테스트해보니 아직은 불완전하고 기존 테마와의 호환성 문제가 발생했고, 설치된 테마에 따라 사이트 속도가 상당히 느려지기도 했습니다. 아직은 사용자들의 평가가 좋지 않은 편입니다. 구텐베르크는 페이지 빌더를 대체하기 위한 것은 아니고 사용자 경험을 개선하기 위한 것이라고 워드프레스에서는 밝히고 있습니다. 하지만 구텐베르크 편집기가 자리 잡으면 기존 페이지 빌더의 필요성이 많이 줄어들 것 같습니다.

Related Posts